Update Employee Driving Skill
แก้ไขทักษะการขับขี่ของพนักงาน
Endpoint
POST /api/v1/open-apis/employee/update-employee-profile?path_action=driving-skillQuery Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
path_action | string | Yes | ต้องเป็น driving-skill |
Request Body
| Parameter | Type | Required | Description |
|---|---|---|---|
employee_driving_skill_id | string | Yes | ID ของทักษะการขับขี่ (Base64 encoded) |
employee_code | string | No | รหัสพนักงาน |
vehicle_name | string | No | ประเภทยานพาหนะ |
skill_level | string | No | ได้/ไม่ได้ (Y = ได้, N = ไม่ได้) |
certificate_no | string | No | เลขที่ใบอนุญาตขับขี่ |
certificate_effective_dt | string | No | วันเริ่มมีผลใบอนุญาต (YYYY-MM-DD) |
certificate_expire_dt | string | No | วันหมดอายุใบอนุญาต (YYYY-MM-DD) |
พารามิเตอร์ employee_driving_skill_id ต้องส่งเป็น Base64-encoded string
Response Format
Success Response
{
"code": 200,
"message": "Update Driving Skill Success",
"payload": {
"employee_code": "EMP001",
"employee_id": "202007072BE51B96E54B",
"employee_driving_skill_id": "20260211DA6488191524",
"vehicle_name": "รถยนต์",
"certificate_no": "12345678",
"skill_level": "Y"
}
}Error Response
{
"code": 400,
"message": "Validation failed",
"errors": ["Missing required parameter: 'employee_driving_skill_id'"]
}Code Examples
cURL
curl -X POST "https://openapi.humansoft.co.th/api/v1/open-apis/employee/update-employee-profile?path_action=driving-skill" \
-H "Content-Type: application/json" \
-H "Ocp-Apim-Subscription-Key: YOUR_API_KEY" \
-d '{
"employee_code": "EMP001",
"employee_driving_skill_id": "MjAyNjAyMTFEQTY0ODgxOTE1MjQ=",
"vehicle_name": "รถยนต์",
"certificate_no": "12345678",
"skill_level": "Y"
}'Related APIs
- List Driving Skills - ดึงรายการทักษะการขับขี่ทั้งหมด
- Get Driving Skill - ดึงข้อมูลทักษะการขับขี่ตาม ID
- Add Driving Skill - เพิ่มทักษะการขับขี่
- Delete Driving Skill - ลบทักษะการขับขี่
Last updated on